org.apache.olingo.commons.api.data

## Class DeltaLink

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.DeltaLink

-     public class DeltaLink
      extends Annotatable

  A delta link.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeltaLink()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getRelationship()` Get relationship of this link.
    `URI` | `getSource()` Get source of this link.
    `URI` | `getTarget()` Get target of this link.
    `int` | `hashCode()`
    `void` | `setRelationship(String relationship)` Set relationship of this link.
    `void` | `setSource(URI source)` Set source of this link.
    `void` | `setTarget(URI target)` Set target of this link.

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeltaLink

          public DeltaLink()

  - ### Method Detail

    - #### getSource

          public URI getSource()

      Get source of this link.
      Returns:
        source of this link

    - #### setSource

          public void setSource(URI source)

      Set source of this link.
      Parameters:
        `source` - source of this link

    - #### getRelationship

          public String getRelationship()

      Get relationship of this link.
      Returns:
        relationship of this link

    - #### setRelationship

          public void setRelationship(String relationship)

      Set relationship of this link.
      Parameters:
        `relationship` - relationship of this link

    - #### getTarget

          public URI getTarget()

      Get target of this link.
      Returns:
        target of this link

    - #### setTarget

          public void setTarget(URI target)

      Set target of this link.
      Parameters:
        `target` - target of this link

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.